

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>List of hypercalls &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="../../index.html"/>
        <link rel="up" title="Hypercall Interfaces - arm64" href="../arm64.html"/>
        <link rel="next" title="Guest Scheduler Operations" href="guest_scheduler_operations.html"/>
        <link rel="prev" title="Supported hypercalls" href="supported_hypercalls.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Hypercall Interfaces</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../arm64.html">Hypercall Interfaces - arm64</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../arm64.html#starting-points">Starting points</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="hypercall_calling_convention.html">Hypercall Calling Convention</a></li>
<li class="toctree-l4"><a class="reference internal" href="supported_hypercalls.html">Supported hypercalls</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">List of hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="guest_scheduler_operations.html">Guest Scheduler Operations</a></li>
<li class="toctree-l4"><a class="reference internal" href="grant_tables.html">Grant Tables</a></li>
<li class="toctree-l4"><a class="reference internal" href="event_channels.html">Event Channels</a></li>
<li class="toctree-l4"><a class="reference internal" href="xenstore_wire_protocol.html">XenStore wire protocol</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_shared_data_structure.html">Start-of-day shared data structure</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_memory_layout.html">Start-of-day memory layout</a></li>
<li class="toctree-l4"><a class="reference internal" href="dom0_console.html">Dom0 console</a></li>
<li class="toctree-l4"><a class="reference internal" href="xen_elfnote_features.html">XEN ELFNOTE FEATURES</a></li>
<li class="toctree-l4"><a class="reference internal" href="elf_notes.html">ELF notes</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#functions">Functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#structs">Structs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enums-and-sets-of-defines">Enums and sets of #defines</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#typedefs">Typedefs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enum-values-and-individual-defines">Enum values and individual #defines</a></li>
</ul>
</li>
</ul>
</li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../index.html">Hypercall Interfaces</a> &raquo;</li>
        
          <li><a href="../arm64.html">Hypercall Interfaces - arm64</a> &raquo;</li>
        
      <li>List of hypercalls</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/hypercall-interfaces/common/list_of_hypercalls.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="list-of-hypercalls">
<h1>List of hypercalls<a class="headerlink" href="#list-of-hypercalls" title="Permalink to this headline">¶</a></h1>
<dl class="group">
<dt>
<span class="target" id="group__list__of__hypercalls"></span><em>group</em> <code class="descname">list_of_hypercalls</code></dt>
<dd><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Defines</p>
<dl class="define">
<dt id="c.__HYPERVISOR_set_trap_table">
<span class="target" id="group__list__of__hypercalls_1ga446c614e0d9a715bf0afa1c5dc6d8b42"></span><code class="descname">__HYPERVISOR_set_trap_table</code> 0<a class="headerlink" href="#c.__HYPERVISOR_set_trap_table" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_mmu_update">
<span class="target" id="group__list__of__hypercalls_1gabb2dd9d664c6e9821191d41bdb79c3c0"></span><code class="descname">__HYPERVISOR_mmu_update</code> 1<a class="headerlink" href="#c.__HYPERVISOR_mmu_update" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_set_gdt">
<span class="target" id="group__list__of__hypercalls_1gaffbad3e14e2eebf796ed0c367938d959"></span><code class="descname">__HYPERVISOR_set_gdt</code> 2<a class="headerlink" href="#c.__HYPERVISOR_set_gdt" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_stack_switch">
<span class="target" id="group__list__of__hypercalls_1gae2026eff474cb7f69995db7501320595"></span><code class="descname">__HYPERVISOR_stack_switch</code> 3<a class="headerlink" href="#c.__HYPERVISOR_stack_switch" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_set_callbacks">
<span class="target" id="group__list__of__hypercalls_1ga7e743794e999d79f677bacd16462c46f"></span><code class="descname">__HYPERVISOR_set_callbacks</code> 4<a class="headerlink" href="#c.__HYPERVISOR_set_callbacks" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_fpu_taskswitch">
<span class="target" id="group__list__of__hypercalls_1ga7ff1f6188050728a9f58919516d8d555"></span><code class="descname">__HYPERVISOR_fpu_taskswitch</code> 5<a class="headerlink" href="#c.__HYPERVISOR_fpu_taskswitch" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_sched_op_compat">
<span class="target" id="group__list__of__hypercalls_1gad2f08bd92b4fbc575bdbb66a0e013e71"></span><code class="descname">__HYPERVISOR_sched_op_compat</code> 6<a class="headerlink" href="#c.__HYPERVISOR_sched_op_compat" title="Permalink to this definition">¶</a></dt>
<dd><p>compat since 0x00030101 </p>
</dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_platform_op">
<span class="target" id="group__list__of__hypercalls_1ga4da8c6207d742c6ef0de8be2e3cf9951"></span><code class="descname">__HYPERVISOR_platform_op</code> 7<a class="headerlink" href="#c.__HYPERVISOR_platform_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_set_debugreg">
<span class="target" id="group__list__of__hypercalls_1gac23abc3048a84c7f1c9ab9401b109a68"></span><code class="descname">__HYPERVISOR_set_debugreg</code> 8<a class="headerlink" href="#c.__HYPERVISOR_set_debugreg" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_get_debugreg">
<span class="target" id="group__list__of__hypercalls_1gaa8b76f9cac099a582c074913ca0a7d08"></span><code class="descname">__HYPERVISOR_get_debugreg</code> 9<a class="headerlink" href="#c.__HYPERVISOR_get_debugreg" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_update_descriptor">
<span class="target" id="group__list__of__hypercalls_1gaad77c2b99accb417f107240482a6c170"></span><code class="descname">__HYPERVISOR_update_descriptor</code> 10<a class="headerlink" href="#c.__HYPERVISOR_update_descriptor" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_memory_op">
<span class="target" id="group__list__of__hypercalls_1gad2e56a4ab1dd587cb928407f58168aa9"></span><code class="descname">__HYPERVISOR_memory_op</code> 12<a class="headerlink" href="#c.__HYPERVISOR_memory_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_multicall">
<span class="target" id="group__list__of__hypercalls_1ga8d5e730a9c5ce954dfb66668db6eabfe"></span><code class="descname">__HYPERVISOR_multicall</code> 13<a class="headerlink" href="#c.__HYPERVISOR_multicall" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_update_va_mapping">
<span class="target" id="group__list__of__hypercalls_1ga8a8ec48b5b7506781ca30d8a0fe77c8b"></span><code class="descname">__HYPERVISOR_update_va_mapping</code> 14<a class="headerlink" href="#c.__HYPERVISOR_update_va_mapping" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_set_timer_op">
<span class="target" id="group__list__of__hypercalls_1gafde15a09049973d82ccd37d5ad5d2670"></span><code class="descname">__HYPERVISOR_set_timer_op</code> 15<a class="headerlink" href="#c.__HYPERVISOR_set_timer_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_event_channel_op_compat">
<span class="target" id="group__list__of__hypercalls_1ga6b6e60ed0350c72774cfe7b74a4f9022"></span><code class="descname">__HYPERVISOR_event_channel_op_compat</code> 16<a class="headerlink" href="#c.__HYPERVISOR_event_channel_op_compat" title="Permalink to this definition">¶</a></dt>
<dd><p>compat since 0x00030202 </p>
</dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_xen_version">
<span class="target" id="group__list__of__hypercalls_1ga98de3742b62dcbf05469c1f04a878ff1"></span><code class="descname">__HYPERVISOR_xen_version</code> 17<a class="headerlink" href="#c.__HYPERVISOR_xen_version" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_console_io">
<span class="target" id="group__list__of__hypercalls_1gaff6416acb8ae9124c0a83c7f8f327617"></span><code class="descname">__HYPERVISOR_console_io</code> 18<a class="headerlink" href="#c.__HYPERVISOR_console_io" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_physdev_op_compat">
<span class="target" id="group__list__of__hypercalls_1ga6cf082f3e947750173250a8fff732250"></span><code class="descname">__HYPERVISOR_physdev_op_compat</code> 19<a class="headerlink" href="#c.__HYPERVISOR_physdev_op_compat" title="Permalink to this definition">¶</a></dt>
<dd><p>compat since 0x00030202 </p>
</dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_grant_table_op">
<span class="target" id="group__list__of__hypercalls_1gaff65705ce8b477c2ae23a834309e855e"></span><code class="descname">__HYPERVISOR_grant_table_op</code> 20<a class="headerlink" href="#c.__HYPERVISOR_grant_table_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_vm_assist">
<span class="target" id="group__list__of__hypercalls_1ga4c8cb1b8cd6633d9d6e79f9d40bae2c6"></span><code class="descname">__HYPERVISOR_vm_assist</code> 21<a class="headerlink" href="#c.__HYPERVISOR_vm_assist" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_update_va_mapping_otherdomain">
<span class="target" id="group__list__of__hypercalls_1ga9dab93bc9a2ac3c50171279e8028702f"></span><code class="descname">__HYPERVISOR_update_va_mapping_otherdomain</code> 22<a class="headerlink" href="#c.__HYPERVISOR_update_va_mapping_otherdomain" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_iret">
<span class="target" id="group__list__of__hypercalls_1ga6b70adceac480bd2382647d104ca317b"></span><code class="descname">__HYPERVISOR_iret</code> 23<a class="headerlink" href="#c.__HYPERVISOR_iret" title="Permalink to this definition">¶</a></dt>
<dd><p>x86 only </p>
</dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_vcpu_op">
<span class="target" id="group__list__of__hypercalls_1gad3f8e0127365ecd8cffd4d48a94b205e"></span><code class="descname">__HYPERVISOR_vcpu_op</code> 24<a class="headerlink" href="#c.__HYPERVISOR_vcpu_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_set_segment_base">
<span class="target" id="group__list__of__hypercalls_1gac567f63364a5bda37b2c86c4f043ccc0"></span><code class="descname">__HYPERVISOR_set_segment_base</code> 25<a class="headerlink" href="#c.__HYPERVISOR_set_segment_base" title="Permalink to this definition">¶</a></dt>
<dd><p>x86/64 only </p>
</dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_mmuext_op">
<span class="target" id="group__list__of__hypercalls_1gab6aab740fda18e95ca4b917a44bedede"></span><code class="descname">__HYPERVISOR_mmuext_op</code> 26<a class="headerlink" href="#c.__HYPERVISOR_mmuext_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_xsm_op">
<span class="target" id="group__list__of__hypercalls_1ga80698820b4056f465305d642f134673b"></span><code class="descname">__HYPERVISOR_xsm_op</code> 27<a class="headerlink" href="#c.__HYPERVISOR_xsm_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_nmi_op">
<span class="target" id="group__list__of__hypercalls_1gafdff29e76292de26b0f87d4b8fa343b4"></span><code class="descname">__HYPERVISOR_nmi_op</code> 28<a class="headerlink" href="#c.__HYPERVISOR_nmi_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_sched_op">
<span class="target" id="group__list__of__hypercalls_1ga442f7fda1f1e72bd1545402b43a5b5d2"></span><code class="descname">__HYPERVISOR_sched_op</code> 29<a class="headerlink" href="#c.__HYPERVISOR_sched_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_callback_op">
<span class="target" id="group__list__of__hypercalls_1ga4a5c84a6fc062e7d1382d8d33ede161c"></span><code class="descname">__HYPERVISOR_callback_op</code> 30<a class="headerlink" href="#c.__HYPERVISOR_callback_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_xenoprof_op">
<span class="target" id="group__list__of__hypercalls_1gabf4e3709160823bf319988e8ec39bac7"></span><code class="descname">__HYPERVISOR_xenoprof_op</code> 31<a class="headerlink" href="#c.__HYPERVISOR_xenoprof_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_event_channel_op">
<span class="target" id="group__list__of__hypercalls_1gae859ba37830f565c6de48c7abab1eb7c"></span><code class="descname">__HYPERVISOR_event_channel_op</code> 32<a class="headerlink" href="#c.__HYPERVISOR_event_channel_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_physdev_op">
<span class="target" id="group__list__of__hypercalls_1ga407ede8aec8c8271b9939ea7da586ceb"></span><code class="descname">__HYPERVISOR_physdev_op</code> 33<a class="headerlink" href="#c.__HYPERVISOR_physdev_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_hvm_op">
<span class="target" id="group__list__of__hypercalls_1ga2b35cb5a2cb28c6d3f0f0106c87b62a5"></span><code class="descname">__HYPERVISOR_hvm_op</code> 34<a class="headerlink" href="#c.__HYPERVISOR_hvm_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_sysctl">
<span class="target" id="group__list__of__hypercalls_1gaf44484059cd1a47d3b548882728c8f49"></span><code class="descname">__HYPERVISOR_sysctl</code> 35<a class="headerlink" href="#c.__HYPERVISOR_sysctl" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_domctl">
<span class="target" id="group__list__of__hypercalls_1ga0807604e6c3597e6f5cc4c1320c623f5"></span><code class="descname">__HYPERVISOR_domctl</code> 36<a class="headerlink" href="#c.__HYPERVISOR_domctl" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_kexec_op">
<span class="target" id="group__list__of__hypercalls_1gab98c0831a9a7d83e6b8e13c13894604f"></span><code class="descname">__HYPERVISOR_kexec_op</code> 37<a class="headerlink" href="#c.__HYPERVISOR_kexec_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_tmem_op">
<span class="target" id="group__list__of__hypercalls_1ga7892ce755e9924935341424ab28cab3e"></span><code class="descname">__HYPERVISOR_tmem_op</code> 38<a class="headerlink" href="#c.__HYPERVISOR_tmem_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_argo_op">
<span class="target" id="group__list__of__hypercalls_1gaaa073f476e7308fe0a54b88a2f4cc1ac"></span><code class="descname">__HYPERVISOR_argo_op</code> 39<a class="headerlink" href="#c.__HYPERVISOR_argo_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_xenpmu_op">
<span class="target" id="group__list__of__hypercalls_1ga380fbada49d53fb556e6e4b550f3e837"></span><code class="descname">__HYPERVISOR_xenpmu_op</code> 40<a class="headerlink" href="#c.__HYPERVISOR_xenpmu_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_dm_op">
<span class="target" id="group__list__of__hypercalls_1ga631db69cb91639edab684529895d6bf6"></span><code class="descname">__HYPERVISOR_dm_op</code> 41<a class="headerlink" href="#c.__HYPERVISOR_dm_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_hypfs_op">
<span class="target" id="group__list__of__hypercalls_1gaa758fed8e369ed64c279956f52372daa"></span><code class="descname">__HYPERVISOR_hypfs_op</code> 42<a class="headerlink" href="#c.__HYPERVISOR_hypfs_op" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_0">
<span class="target" id="group__list__of__hypercalls_1gafddacfb741360a4ac23680bf58b04115"></span><code class="descname">__HYPERVISOR_arch_0</code> 48<a class="headerlink" href="#c.__HYPERVISOR_arch_0" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_1">
<span class="target" id="group__list__of__hypercalls_1ga62aa83d2dc54a9b827d79cd569f79d5d"></span><code class="descname">__HYPERVISOR_arch_1</code> 49<a class="headerlink" href="#c.__HYPERVISOR_arch_1" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_2">
<span class="target" id="group__list__of__hypercalls_1ga8cf737d99b16f075a565e3d10640cb01"></span><code class="descname">__HYPERVISOR_arch_2</code> 50<a class="headerlink" href="#c.__HYPERVISOR_arch_2" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_3">
<span class="target" id="group__list__of__hypercalls_1gaf85951b346f3a2198e0f86992c412d87"></span><code class="descname">__HYPERVISOR_arch_3</code> 51<a class="headerlink" href="#c.__HYPERVISOR_arch_3" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_4">
<span class="target" id="group__list__of__hypercalls_1gaf8dd34d580db0e10ed8e1ed0c62039d4"></span><code class="descname">__HYPERVISOR_arch_4</code> 52<a class="headerlink" href="#c.__HYPERVISOR_arch_4" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_5">
<span class="target" id="group__list__of__hypercalls_1ga92acda2191a9114b530e721b8c71420d"></span><code class="descname">__HYPERVISOR_arch_5</code> 53<a class="headerlink" href="#c.__HYPERVISOR_arch_5" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_6">
<span class="target" id="group__list__of__hypercalls_1gafe964593ac1ac8e35f70bf5b44ba3370"></span><code class="descname">__HYPERVISOR_arch_6</code> 54<a class="headerlink" href="#c.__HYPERVISOR_arch_6" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.__HYPERVISOR_arch_7">
<span class="target" id="group__list__of__hypercalls_1gadac23e087c3e7ceb8c35d38ae8ff5447"></span><code class="descname">__HYPERVISOR_arch_7</code> 55<a class="headerlink" href="#c.__HYPERVISOR_arch_7" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="guest_scheduler_operations.html" class="btn btn-neutral float-right" title="Guest Scheduler Operations" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="supported_hypercalls.html" class="btn btn-neutral" title="Supported hypercalls" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>